/**
 * Newsletter sekcijos stiliai
 * Priklauso: gmg-newsletter-wrapper, MailerLite integracija
 */

.gmg-newsletter-wrapper {
  display: flex;
  flex-direction: column;
  gap: 16px;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.gmg-newsletter-wrapper .gmg-newsletter-form {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-radius: 50px;
  border: 3px solid var(--white-color);
  background-color: var(--white-color);
  width: 100%;
  max-width: 713px;
  max-height: 50px;
}

.gmg-newsletter-message.error {
  color: var(--error-color);
}

.gmg-newsletter-wrapper .gmg-newsletter-form .gmg-newsletter-input {
  border-radius: 50px;
  border: none !important;
  padding: 14px 27px 11px;
  max-height: 44px;
  font-family: var(--font-family-secondary);
  font-size: 18px;
  line-height: 25px;
  font-weight: 400;
  color: var(--grey-text-color);
  background-color: var(--white-color);
  margin-bottom: unset !important;
  transition: background-color 0.3s ease;
}

.gmg-newsletter-wrapper .gmg-newsletter-btn {
  padding: 10px 81px !important;
  background: var(--primary-color) !important;
  color: var(--secondary-color) !important;
  border-radius: 50px !important;
  border: 1px solid var(--primary-color) !important;
  font-family: var(--font-family-secondary) !important;
  font-size: 17px !important;
  line-height: 23px !important;
  font-weight: 400 !important;
  text-transform: uppercase !important;
  max-width: 216px;
  max-height: 44px;
  transition: background-color 0.3s ease;
}

.gmg-newsletter-wrapper .gmg-newsletter-btn:hover {
  background-color: transparent !important;
  color: var(--primary-color) !important;
}

@media (max-width: 767px) {
  .gmg-newsletter-wrapper .gmg-newsletter-form {
    border: unset;
    background-color: transparent;
    max-height: unset;
    flex-direction: column;
    gap: 11px;
  }

  .gmg-newsletter-wrapper .gmg-newsletter-btn {
    background: var(--text-color) !important;
    color: var(--primary-color) !important;
    max-width: 100%;
    max-height: 50px;
    width: 100%;
    height: 50px;
  }

  .gmg-newsletter-wrapper .gmg-newsletter-btn:hover {
    background-color: transparent !important;
    border: 1px solid var(--secondary-color) !important;
    color: var(--text-color) !important;
  }

  .gmg-newsletter-wrapper .gmg-newsletter-form .gmg-newsletter-input {
    max-height: 50px;
    width: 100%;
  }
}
